BearSSL

Data Structures | Functions
bearssl.h File Reference
Include dependency graph for bearssl.h:

Go to the source code of this file.

## Data Structures
struct | br_config_option
| Type for a configuration option. More...

## Functions
const br_config_option * | br_get_config (void)
| Get configuration report. More...

## Function Documentation

## ◆ br_get_config()

const br_config_option * br_get_config | ( | void |  | ) |

Get configuration report.

This function returns compiled configuration options, each as a 'long' value. Names match internal macro names, in particular those that can be set in the `"config.h"` inner file. For boolean options, the numerical value is 1 if enabled, 0 if disabled. For maximum key sizes, values are expressed in bits.

The returned array is terminated by an entry whose `name` is `NULL`.

Returns
  the configuration report.